import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { BleState } from '../../context/EstimContext';
import styles from './BleControl.module.css';

const BleControl: FC = () => {
  const bleState = useAtomValue(BleState);

  return (
    <div className={styles.ble_control}>
      <button disabled={!bleState.ready || bleState.searching}>Scan</button>
      <button disabled={!bleState.ready || !bleState.connected}>Disconnect</button>
    </div>
  );
};

export default BleControl;
